module Pod
  class Podfile
    module DSL

      def accelerate_xcproject_generating!(parameters={})

        require 'cocoapods-fast-install/Patch'
        require 'cocoapods-fast-install/validate_patch'

        skipped = parameters[:keeping_header_for]
        if skipped.kind_of? String
          FastProjectGenerating.user_excluded_targets << skipped
        elsif skipped.kind_of? Array
          FastProjectGenerating.user_excluded_targets += skipped
        end
      end

    end
  end
end

Pod::HooksManager.register('cocoapods-fast-install', :pre_install) do |installer_context|
  require 'cocoapods-fast-install/print_duration'
end 


